Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QMouseDriverPlugin Class Reference

The QMouseDriverPlugin class provides an abstract base for Qt/Embedded mouse driver plugins. More...

`#include <qmousedriverplugin_qws.h>`

List of all member functions.

## Public Members

- QMouseDriverPlugin ()
- ~QMouseDriverPlugin ()
- virtual QStringList keys () const = 0
- virtual QWSMouseHandler * create ( const QString & driver, const QString & device ) = 0

## Detailed Description

The QMouseDriverPlugin class provides an abstract base for Qt/Embedded mouse driver plugins.

The mouse driver plugin is a simple plugin interface that makes it easy to create custom mouse drivers.

Writing a mouse driver plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the `Q_EXPORT_PLUGIN` macro. See the Plugins documentation for details.

This class is only available in Qt/Embedded.

See also Plugins.

## Member Function Documentation

### QMouseDriverPlugin::QMouseDriverPlugin ()

Constructs a mouse driver plugin. This is invoked automatically by the `Q_EXPORT_PLUGIN` macro.

### QMouseDriverPlugin::~QMouseDriverPlugin ()

Destroys the mouse driver plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

### QWSMouseHandler * QMouseDriverPlugin::create ( const QString & driver, const QString & device )`[pure virtual]`

Creates a driver matching the type specified by driver and which uses device device.

See also keys().

### QStringList QMouseDriverPlugin::keys () const`[pure virtual]`

Returns the list of mouse drivers this plugin supports.

See also create().

This file is part of the Qt toolkit. Copyright © 1995-2003 Trolltech. All Rights Reserved.